RangeIterator.Builder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.utils

## Class RangeIterator.Builder<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>

- java.lang.Object
- - org.apache.cassandra.index.sasi.utils.RangeIterator.Builder<K,D>

- Direct Known Subclasses:
    RangeIntersectionIterator.Builder, RangeUnionIterator.Builder
  Enclosing class:
    RangeIterator<K extends java.lang.Comparable<K>,T extends CombinedValue<K>>

      public abstract static class RangeIterator.Builder<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RangeIterator.Builder.EmptyRangeIterator<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>`
    `static class` | `RangeIterator.Builder.IteratorType`
    `static class` | `RangeIterator.Builder.Statistics<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.PriorityQueue<RangeIterator<K,D>>` | `ranges`
    `protected RangeIterator.Builder.Statistics<K,D>` | `statistics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(RangeIterator.Builder.IteratorType type)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RangeIterator.Builder<K,D>` | `add(java.util.List<RangeIterator<K,D>> ranges)`
    `RangeIterator.Builder<K,D>` | `add(RangeIterator<K,D> range)`
    `RangeIterator<K,D>` | `build()`
    `protected abstract RangeIterator<K,D>` | `buildIterator()`
    `K` | `getMaximum()`
    `K` | `getMinimum()`
    `long` | `getTokenCount()`
    `int` | `rangeCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### statistics

          protected final RangeIterator.Builder.Statistics<K extends java.lang.Comparable<K>,D extends CombinedValue<K>> statistics

    - #### ranges

          protected final java.util.PriorityQueue<RangeIterator<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>> ranges

  - ### Constructor Detail

    - #### Builder

          public Builder(RangeIterator.Builder.IteratorType type)

  - ### Method Detail

    - #### getMinimum

          public K getMinimum()

    - #### getMaximum

          public K getMaximum()

    - #### getTokenCount

          public long getTokenCount()

    - #### rangeCount

          public int rangeCount()

    - #### add

          public RangeIterator.Builder<K,D> add(RangeIterator<K,D> range)

    - #### add

          public RangeIterator.Builder<K,D> add(java.util.List<RangeIterator<K,D>> ranges)

    - #### build

          public final RangeIterator<K,D> build()

    - #### buildIterator

          protected abstract RangeIterator<K,D> buildIterator()

Copyright © 2018 The Apache Software Foundation